PamCut: TrkPhSinCut Class Reference

# TrkPhSinCut Class Reference

The single physical track cut. Only events with a single physical track (selected according to the specified sorting method) survive this selection. More...

`#include <TrkPhSinCut.h>`

Inheritance diagram for TrkPhSinCut:

List of all members.

## Public Member Functions
| TrkPhSinCut (const char *cutName, const char *sortingMethod)
| Constructor.
| ~TrkPhSinCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The single physical track check.
## Public Attributes
int | iTrackTof
| TOF_index for TRK-track for the last good event.
TrkTrack * | trkTrack
| The TrkTrack for the last good event.
PamTrack * | pamTrack
| The PamTrack for the last good event.
## Private Attributes
const char * | _sortingMethod

## Detailed Description

The single physical track cut. Only events with a single physical track (selected according to the specified sorting method) survive this selection.

Definition at line 19 of file TrkPhSinCut.h.

## Constructor & Destructor Documentation

TrkPhSinCut::TrkPhSinCut | ( | const char * | cutName,
|  | const char * | sortingMethod |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | sortingMethod | The sorting method to be used to select the track.

Definition at line 28 of file TrkPhSinCut.h.

TrkPhSinCut::~TrkPhSinCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 32 of file TrkPhSinCut.h.

## Member Function Documentation

int TrkPhSinCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The single physical track check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if a single physical track has been found in the event

  0 if the event has not exactly one physical track or if the track is meaningless (nstep > 100 or chi2 < 0.)

Implements PamCut.

Definition at line 12 of file TrkPhSinCut.cpp.

References _sortingMethod, CUTOK, iTrackTof, pamTrack, and trkTrack.

## Member Data Documentation

const char* TrkPhSinCut::_sortingMethod`[private]`

Definition at line 60 of file TrkPhSinCut.h.

Referenced by Check().

int TrkPhSinCut::iTrackTof

TOF_index for TRK-track for the last good event.

Definition at line 44 of file TrkPhSinCut.h.

Referenced by Check().

PamTrack* TrkPhSinCut::pamTrack

The PamTrack for the last good event.

When this cut checks an event, it stores its PamTrack (selected according to the specified sortingMethod). This can then be used by successive cuts.

Definition at line 56 of file TrkPhSinCut.h.

Referenced by Check().

TrkTrack* TrkPhSinCut::trkTrack

The TrkTrack for the last good event.

When this cut checks an event, it stores its TrkTrack (selected according to the specified sortingMethod). This can then be used by successive cuts.

Definition at line 50 of file TrkPhSinCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkPhSinCut/TrkPhSinCut.h
- TrkCuts/TrkPhSinCut/TrkPhSinCut.cpp